Name:		knowthelist
Version:	2.3.1
Release:	%mkrel 6
Summary:	An awesome party music player
License:	LGPLv3+
Group:		Sound/Players
URL:		https://knowthelist.github.io/knowthelist/
Source0:	https://github.com/knowthelist/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		knowthelist-2.3.1-complete-french-translation.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(taglib) < 2

Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	qtbase5-database-plugin-sqlite

%description
Knowthelist is an awesome party music player.

Features:

  - Easy to use for all party guests.
  - Quick search for tracks in collection.
  - Two players with separate playlists.
  - Mixer with fader, 3 channel EQ and gain.
  - Auto fader and auto gain.
  - Trackanalyser search for song start/end and gain setting.
  - Auto DJ function with multiple filters for random play.
  - Monitor player for pre listen tracks (via 2nd sound card e.g. USB).

%prep
%autosetup -p1

%build
%qmake_qt5 %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# added translations files
mkdir -p %{buildroot}%{_datadir}/%{name}/locale
install -m 0644 locale/%{name}*.qm %{buildroot}%{_datadir}/%{name}/locale/

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Jan 02 2025 daviddavid <daviddavid> 2.3.1-6.mga10
+ Revision: 2134976
- compile with taglib1
- rebuild for new taglib 2.0.2

* Sun Apr 03 2022 umeabot <umeabot> 2.3.1-5.mga9
+ Revision: 1842096
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.3.1-4.mga8
+ Revision: 1658770
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.3.1-3.mga8
+ Revision: 1524743
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 2.3.1-2.mga7
+ Revision: 1382723
- Qt5 Rebuild

* Mon Jan 21 2019 daviddavid <daviddavid> 2.3.1-1.mga7
+ Revision: 1358735
- new version: 2.3.1

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-5.mga7
+ Revision: 1298609
- Mageia 7 Mass Rebuild

* Sun Aug 07 2016 daviddavid <daviddavid> 2.3.0-4.mga6
+ Revision: 1044910
- split out all Qt5 BRs
- use a named-versioned tarball

* Mon Feb 01 2016 umeabot <umeabot> 2.3.0-3.mga6
+ Revision: 929846
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-2.mga5
+ Revision: 749955
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 daviddavid <daviddavid> 2.3.0-1.mga5
+ Revision: 735434
- switch to Qt5 build (now available)
- switch to GStreamer 1.0 (now available)
- add BR on qttools5
- new version: 2.3.0

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-2.mga5
+ Revision: 681145
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 daviddavid <daviddavid> 2.2.4-1.mga5
+ Revision: 675216
- new version: 2.2.4

* Tue Aug 26 2014 daviddavid <daviddavid> 2.2.3-1.mga5
+ Revision: 668334
- remove dependency on Boost (remove by upstream)
- new version: 2.2.3

* Sun Aug 24 2014 daviddavid <daviddavid> 2.2.2-1.mga5
+ Revision: 667207
- remove previous patch as it is now upstream fixed
- new version: 2.2.2

* Sun Aug 10 2014 daviddavid <daviddavid> 2.2.0-2.mga5
+ Revision: 661544
- add a patch to fix the French translation

* Thu Aug 07 2014 daviddavid <daviddavid> 2.2.0-1.mga5
+ Revision: 660815
- remove the previous fix of desktop file as it is now fixed upstream
- new version: 2.2.0

* Thu Jul 31 2014 daviddavid <daviddavid> 2.1.3-1.mga5
+ Revision: 658787
- imported package knowthelist

